@import './common.less';

#header-menu {
    width: calc(100% - 70px);
    height: 100%;
    left: 70px;
    top: 0;
}

#header-menu.hidden-navbar ~ #main, #header-menu.hidden-navbar ~ #footer, #header-menu.hidden-navbar ~ #main-header {
    right: 0;
}

#header-menu ~ #main, #header-menu ~ #footer, #header-menu ~ #main-header {
    right: calc(100% - 70px);
    transition: right 0.3s;
}

#main section {
    border-top: 1px solid @gray_light4;
}


section#main-search {
    
    height: 600px;
    
    .container {
        max-width: 850px;
    }
    
    #advanced-search-button {
        font-size: 14px;
    }
    
    #main-search-form {
        background: @white;
        padding: 0px 0px;
        border-radius: 2px;
        max-height: 70px;

        box-shadow: rgba(0, 0, 0, 0.15) 0px 16px 32px, rgba(0, 0, 0, 0.1) 0px 3px 8px;

        div[data-toggle="collapse"] {

            &[aria-expanded="true"]::after {
                box-shadow: 0px 0px 50px 100px rgba(0, 0, 0, 0.07);
                background-clip: padding-box;
                border-top-width: 1px;
                border-right-width: 1px;
                border-bottom-width: 1px;
                border-left-width: 1px;
                border-top-style: solid;
                border-right-style: solid;
                border-bottom-style: solid;
                border-left-style: solid;
                border-top-color: transparent;
                border-right-color: transparent;
                border-bottom-color: transparent;
                border-left-color: transparent;
                border-image-source: initial;
                border-image-slice: initial;
                border-image-width: initial;
                border-image-outset: initial;
                border-image-repeat: initial;
                /* border-top-left-radius: 32px; */
                /* border-top-right-radius: 32px; */
                /* border-bottom-right-radius: 32px; */
                /* border-bottom-left-radius: 32px; */
                bottom: 0px;
                content: "";
                left: 0px;
                position: absolute;
                right: 0px;
                top: 0px;
                z-index: 0;
            }
        }

        .form-group {
            padding: 15px 15px;
            margin: 0;
            height: 100%;
            width: 100%;
            border-radius: 2px;
            float: left;
            max-height: 70px;

            &:hover {
                background-color: @gray_light;
            }

            input.form-control {
                border-radius: 0;
                outline: none;
                border: none;
                padding: 0;
                margin: 0;
                height: 20px;
                font-size: 16px;
                background: @transparent;
                color: @gray_dark6;


                &:focus {
                    outline:none !important;
                    outline-width: 0 !important;
                    box-shadow: none;
                    -moz-box-shadow: none;
                    -webkit-box-shadow: none;
                    &::placeholder {
                        color: rgba(0,0,0,0.4);
                    }
                }

                &::placeholder {
                    color: @gray_dark6;
                    width: 100%;
                    white-space: nowrap;
                    overflow: hidden;
                    -webkit-animation: type 5s steps(50, end);
                    animation: type 5s steps(50, end);
                }
            }

            select.form-control {
                display: block;
                font-size: 16px;
                color: @gray_dark6;
                height: 20px;
                box-sizing: border-box;
                margin: 0;
                border: none;
                border-radius: 0;
                -moz-appearance: none;
                -webkit-appearance: none;
                appearance: none;
                background: none;
                background-color: @transparent;
                background-image: url("data:image/svg+xml,%3Csvg aria-hidden='true' focusable='false' data-prefix='fas' data-icon='angle-down' class='svg-inline--fa fa-angle-down fa-w-10' role='img' xmlns='http://www.w3.org/2000/svg' viewBox='0 0 320 512'%3E%3Cpath fill='currentColor' d='M143 352.3L7 216.3c-9.4-9.4-9.4-24.6 0-33.9l22.6-22.6c9.4-9.4 24.6-9.4 33.9 0l96.4 96.4 96.4-96.4c9.4-9.4 24.6-9.4 33.9 0l22.6 22.6c9.4 9.4 9.4 24.6 0 33.9l-136 136c-9.2 9.4-24.4 9.4-33.8 0z'%3E%3C/path%3E%3C/svg%3E"), linear-gradient(to bottom, @transparent 0%, @transparent 100%);
                background-repeat: no-repeat, repeat;
                background-position: right 0.7em top 75%, 0 0;
                background-size: 0.65em auto, 100%;
                padding: 0;

                &:focus {
                    outline:none !important;
                    outline-width: 0 !important;
                    box-shadow: none;
                    -moz-box-shadow: none;
                    -webkit-box-shadow: none;
                }

                &:active {
                    color: @gray_dark6;
                }
            }
            .hint-block {
                font-size: 12px;
                line-height: 20px;
                color: @gray_dark4;
                overflow-x: overlay;
                white-space: nowrap;
            }

        }

        .form-group-suggestions {
            /*min-height: 300px;*/
            float: left;
            background-color: rgb(255, 255, 255);
            margin: 3px;
            width: calc(100% - 6px);
            border-top-left-radius: 2px;
            border-top-right-radius: 2px;
            border-bottom-right-radius: 2px;
            border-bottom-left-radius: 2px;
            background-position: initial initial;
            background-repeat: initial initial;
            z-index: 1060;
        }

        button {
            display: block;
            height: 100%;
            min-height: 35px;
            width: 100%;
            text-align: center;
            font-size: 18px;
            background: @red;
            border: none;
            border-radius: 2px;
            color: @white;
            &:hover {
                background: @red_dark;
            }
        }
    }
}

section#main-post-cv {
    color: @gray_dark6;
    
    a.btn.btn-link {
        display: flex;
        align-items: center;
        justify-content: center;
        height: 100%;
        min-height: 50px;
        width: 100%;
        padding: 0;
        margin: 0;
        text-align: center;
        font-size: 18px;
        background: @gray_light;
        border-radius: 0;
        border: 1px solid @gray_light4;
        text-decoration: none;
        color: @gray_dark6;
        &:hover {
            background: @gray_light2;
        }
    }
}

section#main-categories {
    text-align: center;
    background: @gray_light;
    .tabs-container {
        .tab {
            border: 1px solid @gray_light4;
            border-bottom: 0;
            background: @white;
            color: @gray_dark2;
            
            &:hover {
                color: @gray_dark6;
                background-color: @gray_light;
            }
            
            p {
                margin-bottom: 0;
                margin-top: 1rem;
            }
        }
    }
    .tab-content-container {
        border: 1px solid @gray_light4;
        background: @white;
    }
}

@media only screen and  (max-width:@sm_width) {
	#main-search {
            .container {
                max-width: 450px !important;
            }
	}
	
	#main-search-form {
            background: @transparent !important;
            max-height: 500px !important;
            box-shadow: none !important;
            
            .form-group {
                height: calc(100% - 6px) !important;
                width: calc(100% - 6px) !important;
                margin: 3px !important;
                background: #ffffff !important;
                box-shadow: rgba(0, 0, 0, 0.15) 0px 16px 32px, rgba(0, 0, 0, 0.1) 0px 3px 8px !important;
            }
            
            button {
                background: @red !important;
                border: 0 !important;
                color: @white;
                &:hover {
                    background: @red_dark !important;
                }
            }
	}
}
